GearmanClient::context
GearmanClient::do
GearmanClient
PHP Manual

# GearmanClient::data

(PECL gearman <= 0.5.0)

GearmanClient::data — Get the application data (deprecated)

### Description

public string GearmanClient::data ( void )

Get the application data previously set with GearmanClient::setData().

> Note:

> This method was replaced by GearmanClient::setContext() in the 0.6.0 release of the Gearman extension.

### Parameters

This function has no parameters.

### Return Values

The same string data set with GearmanClient::setData()

### See Also

- GearmanClient::setData() - Set application data (deprecated)

GearmanClient::context
GearmanClient::do
GearmanClient
PHP Manual